Package Details: python-astropy 4.2-2

Git Clone URL: https://aur.archlinux.org/python-astropy.git (read-only, click to copy)
Package Base: python-astropy
Description: A community python library for astronomy
Upstream URL: http://www.astropy.org/
Licenses: BSD
Conflicts: python-pyfits, python-vo
Submitter: mboquien
Maintainer: mboquien
Last Packager: mboquien
Votes: 26
Popularity: 0.000679
First Submitted: 2013-04-20 09:07
Last Updated: 2020-12-02 10:27

Dependencies (25)

Required by (133)

Sources (1)

Latest Comments

1 2 3 Next › Last »

halfhorn commented on 2020-11-09 22:15

@petronny is correct. python-pip needs to be in makedepends

petronny commented on 2020-10-28 05:50

Please add python-pip to makedepends.

jankoh commented on 2020-10-25 19:12

I got the error quoted below while trying to update the package. The solution was simply to mount the tmp-filesystem with exec instead on noexec. Maybe it could be checked to have a executable filesystem for building.

Best regards, Jan

Processing /home/jankoh/.cache/yay/python-astropy/src/astropy-4.1
Installing build dependencies ... done
Getting requirements to build wheel ... error
ERROR: Command errored out with exit status 1:
command: /usr/bin/python /usr/lib/python3.8/site-packages/pep517/_in_process.py get_requires_for_build_wheel /tmp/tmp2of0s6q8                          
    cwd: /tmp/pip-req-build-kx7w53ca                                                                                                                   
Complete output (72 lines):                                                                                                                             
Traceback (most recent call last):                                                                                                                      
    File "/tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/numpy/core/__init__.py", line 17, in <module>                                   
    from . import multiarray                                                                                                                            
    File "/tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/numpy/core/multiarray.py", line 14, in <module>                                 
    from . import overrides                                                                                                                             
    File "/tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/numpy/core/overrides.py", line 7, in <module>                                   
    from numpy.core._multiarray_umath import (                                                                                                          
ImportError: /tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/numpy/core/_multiarray_umath.cpython-38-x86_64-linux-gnu.so: failed to map segment from shared object

During handling of the above exception, another exception occurred:

Traceback (most recent call last):                                                                                                                      
    File "/usr/lib/python3.8/site-packages/pep517/_in_process.py", line 280, in <module>                                                                  
    main()                                                                                                                                              
    File "/usr/lib/python3.8/site-packages/pep517/_in_process.py", line 263, in main                                                                      
    json_out['return_val'] = hook(**hook_input['kwargs'])                                                                                               
    File "/usr/lib/python3.8/site-packages/pep517/_in_process.py", line 114, in get_requires_for_build_wheel                                              
    return hook(config_settings)                                                                                                                        
    File "/tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/setuptools/build_meta.py", line 149, in get_requires_for_build_wheel            
    return self._get_build_requires(                                                                                                                    
    File "/tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/setuptools/build_meta.py", line 130, in _get_build_requires                     
    self.run_setup()                                                                                                                                    
    File "/tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/setuptools/build_meta.py", line 145, in run_setup                               
    exec(compile(code, __file__, 'exec'), locals())                                                                                                     
    File "setup.py", line 70, in <module>                                                                                                                 
    ext_modules=get_extensions())                                                                                                                       
    File "/tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/extension_helpers/_setup_helpers.py", line 48, in get_extensions                
    for setuppkg in iter_setup_packages(srcdir, packages):                                                                                              
    File "/tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/extension_helpers/_setup_helpers.py", line 109, in iter_setup_packages          
    module = import_file(setup_package,                                                                                                                 
    File "/tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/extension_helpers/_utils.py", line 194, in import_file                          
    mod = loader.load_module()                                                                                                                          
    File "<frozen importlib._bootstrap_external>", line 462, in _check_name_wrapper                                                                       
    File "<frozen importlib._bootstrap_external>", line 962, in load_module                                                                               
    File "<frozen importlib._bootstrap_external>", line 787, in load_module                                                                               
    File "<frozen importlib._bootstrap>", line 265, in _load_module_shim                                                                                  
    File "<frozen importlib._bootstrap>", line 702, in _load                                                                                              
    File "<frozen importlib._bootstrap>", line 671, in _load_unlocked                                                                                     
    File "<frozen importlib._bootstrap_external>", line 783, in exec_module                                                                               
    File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed                                                                          
    File "./astropy/wcs/setup_package.py", line 14, in <module>                                                                                           
    import numpy                                                                                                                                        
    File "/tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/numpy/__init__.py", line 142, in <module>                                       
    from . import core                                                                                                                                  
    File "/tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/numpy/core/__init__.py", line 47, in <module>                                   
    raise ImportError(msg)                                                                                                                              
ImportError:

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the numpy c-extensions failed.                                                                                                                
- Try uninstalling and reinstalling numpy.                                                                                                              
- If you have already done that, then:                                                                                                                  
    1. Check that you expected to use Python3.8 from "/usr/bin/python",                                                                                   
    and that you have no directories in your PATH or PYTHONPATH that can                                                                               
    interfere with the Python and numpy version "1.17.3" you're trying to use.                                                                         
    2. If (1) looks fine, you can open a new issue at                                                                                                     
    https://github.com/numpy/numpy/issues.  Please include details on:                                                                                 
    - how you installed Python                                                                                                                         
    - how you installed numpy                                                                                                                          
    - your operating system                                                                                                                            
    - whether or not you have multiple versions of Python installed                                                                                    
    - if you built from source, your compiler versions and ideally a build log

- If you're working with a numpy git repository, try `git clean -xdf`                                                                                   
    (removes all files not under version control) and rebuild numpy.

Note: this error has many possible causes, so please don't comment on                                                                                   
an existing issue about this - open a new one instead.

Original error was: /tmp/pip-build-env-r45ob04u/overlay/lib/python3.8/site-packages/numpy/core/_multiarray_umath.cpython-38-x86_64-linux-gnu.so: failed to map segment from shared object

----------------------------------------                                                                                                                
ERROR: Command errored out with exit status 1: /usr/bin/python /usr/lib/python3.8/site-packages/pep517/_in_process.py get_requires_for_build_wheel /tmp/tmp2of0s6q8 Check the logs for full command output.

oldherl commented on 2020-10-25 15:51

Missing makedepends python-pip

mboquien commented on 2019-10-28 11:41

The default of makepkg is MD5. I have updated to SHA512. As for the second point, this is an issue with makepkg that will be fixed with the next version of pacman. If you want to silence the message, just define a PACKAGER environment variable in the indicated format.

kseistrup commented on 2019-10-28 10:59

When building python-astropy 3.2.3-1:

==> Validating source files with md5sums...

Please use at least sha256sums.

==> WARNING: PACKAGER should have the format 'Example Name <email@address.invalid>'

Please provide a PACKAGER variable in the PKGBUILD file.

Universebenzene commented on 2019-10-08 04:18

3.2.2 released. And the new version of wcslib seems to be compatible with astropy now, so you can use the external one with --use-system-libraries again.

mboquien commented on 2016-03-25 22:56

The package has been updated to 1.1.2. Sorry for the delay. The minimum wcslib version got bumped with astropy 1.1.2 in order to fix a critical bug. In the end the AUR astropy package depended on the Arch wcslib package update.

lonur commented on 2015-09-04 12:38

Thank you, this way it still throws a couple of warnings but goes all the way through.

mboquien commented on 2015-09-04 12:24

For the time being a solution is to delete the "--use-system-libraries" option line 18 of the PKGBUILD. The issue should be fixed properly with astropy 1.1.